"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.color = void 0;
const chalk_1 = __importDefault(require("chalk"));
function color(text, opts) {
    switch (opts.mode) {
        case "escape-code": {
            if (opts.color === "red")
                text = chalk_1.default.bold.red(text);
            if (opts.background === "red")
                text = chalk_1.default.bgRed(text);
            return text;
        }
        case "html": {
            if (opts.color === "red")
                text = `<span style="color: red;">${text}</span>`;
            if (opts.background === "red")
                text = `<span style="background: red;">${text}</span>`;
            return text;
        }
        default: {
            console.log(`[ut.color] unknown mode: ${opts.mode}`);
            return text;
        }
    }
}
exports.color = color;
